FIND Objects

Body Params

Find Objects

string
enum

Defaults to INTERNAL if not set.

Setting idFormat to EXTERNAL changes the behaviour of the request and response. For the request the id parameter must be a string external id when referencing:

  • object
  • field
  • type
  • reservationMode

For the response the above list of items (if present) will be referenced by external id instead of internal.

Values that change from integer to string when changing idFormat are shown as either integer or string in the documentation. This is true both for the request and the response.

Allowed:

The object type id to list objects for. Internal id assumes you use INTERNAL as idFormat

string
enum
  • ASCID and DESCID sort on internal id. ASCID is the default sort order.
  • ASCMOD and DESCMOD sort objects on last modified date and time.
  • If ASCFIELD or DESCFIELD is used sortFieldId must also be specified. This sort is the slowest type of sort.
Allowed:

If sort is set to ASCFIELD or DESCFIELD then this must refer to the sortable field to be used for sorting. Internal id assumes you use INTERNAL as idFormat

fields
object

Filter objects on field values.

boolean

By default both virtual and non-virtual objects are listed. Use this option to only show one or the other

boolean

By default both abstract and non-abstract objects are listed. Use this option to only show one or the other

boolean

By default both active and inactive objects are listed. Use this option to only show one or the other

string
enum
Allowed:
modified
object

Filter objects based on last modified date and time

boolean

By default reference fields are not included in the result since they are generated from other fields. They can be useful when listing objects though.

ids
array of int64s

List of object ids to get, these are always returned in the response even if they do not match other query parameters

ids
extIds
array of strings

List of object extIds to get, these are always returned in the response even if they do not match other query parameters

extIds
excludeIds
array of int64s

Objects to be excluded from the result.

excludeIds
excludeExtIds
array of strings

Objects to be excluded from the result.

excludeExtIds
int64

Used for paginating through the result. Page 1 is the first page.

int64

Number of objects per page in the paginated result.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json